# Note that this is NOT a relocatable package
%define ver      1.2.7
%define rel      3mdk
%define prefix   /usr

Summary: A library of handy utility functions.
Summary(cs): ikovn knihovna s funkcemi pro pomocn programy
Summary(da): Nyttige biblioteksfunktioner
Summary(de): Eine ntzliche Library von Dienstprogramm-Funktionen
Summary(fi): Kirjasto, jossa on tykalufunktioita
Summary(fr): Bibliothque de fonctions utilitaires.
Summary(tr): Yararl ufak yordamlar kitapl
Name: glib
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/v1.2/glib-%{ver}.tar.bz2

BuildRoot: /var/tmp/glib-%{PACKAGE_VERSION}-root
URL: http://www.gtk.org
Docdir: %{prefix}/doc

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%description -l cs
ikovn knihovna s funkcemi pro pomocn programy. Vvojov knihovny a
hlaviky jsou v balku glib-devel.

%description -l da
Nyttigt bibliotek med forskellige funktioner. Udviklings-
biblioteker og headerfiler er i glib-devel pakken.

%description -l de
Eine ntzliche Library von Dienstprogramm-Funktionen.
Entwicklungs-Libraries und Header befinden sich in glib-devel.

%description -l fi
Kirjasto, jossa on tykalufunktioita. Kehitysversiot ja header-tiedostot
ovat glib-devel-paketissa.

%description -l tr
Yararl yordamlar kitapl. Gelitirme kitaplklar ve balk dosyalar
glib-devel paketinde yer almaktadr.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/C

%description devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.

%changelog
* Tue Mar 21 2000 DindinX <odin@mandrakesoft.com> 1.2.7-3mdk
- corrected the path in glib-config

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 1.2.7-2mdk
- Group and spec fixes

* Fri Feb 18 2000 DindinX <odin@mandrakesoft.com> 1.2.7-1mdk
- Fixed a little typo
- 1.2.7

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- 1.2.6

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.2.5.


* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.2.4

* Wed Jul 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed %{prefix}/man/man1 to %{prefix}/man/man1/*
- added back descriptions from RH 5.2

* Wed May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.2.3

* Tue Apr 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.2.2
- bzip2 man pages

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre1

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- new description tags 

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

%prep
%setup -n %{name}-%{ver}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install
bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/libglib-1.2.so.*
%{prefix}/lib/libgthread-1.2.so.*
%{prefix}/lib/libgmodule-1.2.so.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/glib/*
%{prefix}/include/*
%{prefix}/man/man1/*
%{prefix}/share/aclocal/*
%{prefix}/bin/*
